// import filters from "@/filters";
// import { default as message } from "ant-design-vue/lib/message";

import { DialogApiInjection } from "naive-ui/lib/dialog/src/DialogProvider";
import { MessageApiInjection } from "naive-ui/lib/message/src/MessageProvider";

export {};
// declare module "@vue/runtime-core" {
// interface ComponentCustomProperties {
// $filters: typeof filters;
// $message: typeof message;
// }
// }

declare global {
  const $message: MessageApiInjection;
  const $dialog: DialogApiInjection;
  const _hmt: string[][];
  // 这样定义才能 window._hmt ; 和下面的 interface window 一样
  // eslint-disable-next-line no-var
  // var _hmt: string[][];

  interface Window {
    nodeRequire: typeof require;
  }
}

declare module "axios/index" {
  interface AxiosRequestConfig {
    noErrorMessage?: boolean;
    /** 设置整页遮罩 */
    setGlobalMask?: boolean;
  }
}

declare module "vue" {
  export interface GlobalComponents {
    /** electron webview */
    webview: any;
  }
}
